stages:
    - build
    - build-qa
    - test

build:       # This job runs in the build stage, which runs first.
    stage: build
    script:
      - echo "Compiling the code..."
      - curl -fL https://getcli.jfrog.io | sh
      - whoami
      - hostname
      - uname -s
      - apt update
      # - apt install jfrog-cli
      # - jfrog --version
      # - ./jfrog config --artifactory-url=$ARTIFACTORY_URL --user=$ARTIFACTORY_USER --password=$ARTIFACTORY_PASS
      # - ./jfrog c show
      # - ./jfrog dl dev-npm --build-name=gitlab-intern-build --build-number $CI_JOB_ID
      # - touch build-artifacts
      # - ./jfrog bce gitlab-intern-build $CI_JOB_ID
      # - ./jfrog bp gitlab-intern-build $CI_JOB_ID
      # - ./jfrog bpr gitlab-intern-build $CI_JOB_ID intern-dev-npm

build-qa:   # This job runs in the build-qa stage.
    stage: build-qa    # It only starts when the job in the build stage completes successfully.
    script:
      - echo "Running unit build-qas... This will take about 60 seconds."

test:      # This job runs in the test stage.
    stage: test  # It only runs when *both* jobs in the build-qa stage complete successfully.
    script:
      - echo "testing application..."
      - echo "Application successfully tested."
